# Module libfar::farlib
[−] [src]

## Structs

FarArchive

Struct containing information about an archive.

FarFile

Struct containing a file, whether or not it’s in an archive. This should be used when creating a file from a buffer, or when getting files from an archive.

FarFileInfo

Struct containing information about a file, without reading the actual data of the file. This should be used in cases where file information is needed to be retrieved quickly (e.g. when listing files in an archive).

## Functions

test

Tests if a buffer is a valid FarArchive. Returns a FarArchive struct if it is, or an error if it is not.